<?php
/* This file is part of Gregblog CMS.

    Gregblog CMS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Gregblog CMS; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    for information about this software, visit www.gregblog.org
    Greg Willson P.O. Box 1182, Nederand, CO 80466 USA
*/



  // Process config file to determine default server (if any)
  // require('../../manyhandsgallery/admin/phpMyAdmin/config.inc.php3');
  // GPL copyleft 2003 Planetmind.net 
  // core rostta stone script
  
  // May 6 2003 G. Willson 

  // includes code for image management


require "rs_config.inc";  // $rs_vars['filename'] is defined here
require "../lib/rs_setupfields.module";




// allow for window dressing
if (file_exists("header.inc")) { include("header.inc")
; } else { echo $cfgNocacheHead;}


// this file is shared so it is not in "lib"
// require "../rs_breadcrumbs.module";



// ##### respond to search query   ########
if ($submit == "search")
{
require "../lib/rs_search-response.module";
exit;
}

// ##### Set up search fields   ########
if ($searchdb == "y") 
{
require "../lib/rs_set-up-search-fields.module";
exit;
}

// ##### Set up a new $title   ########

if ($submit == "Post")
{
require "../lib/rs_insert-new-row.module";
} 


if ($submit == "Delete") 
{
 require "../lib/rs_delete-row.module";
 exit;
}

if ($submit == "Confirm Delete") 
{
 require "../lib/rs_confirm-delete.module";
}

if ($newitemform) 
{
 require "../lib/rs_new-item-form.module";
 exit;
}

if ($submit == "Edit") 
{
 require "../lib/rs_edit.module";
 exit;           
}


if ($submit == "Update") 
{
 require "../lib/rs_update.module";
}


// ################### DEFAULT: Display Data ########
// output restricted by the use of $quickfields array

 require "../lib/rs_display-data.quickfields.module";



// footer
if (file_exists("footer.inc")) { include("footer.inc")
; } else { echo $cfgNocacheFoot;}



?>
