<?php
/* This file is part of Gregblog CMS.

    Gregblog CMS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GregblogCMS; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    for information about this software, visit www.gregblog.org
    Greg Willson P.O. Box 1182, Nederand, CO 80466 USA
*/



// switches email addresses and URLs to hyberlinks
function autolink($str) {
  
  // email
  $pattern[0] = "/([A-Za-z0-9\+\-_]+)@([A-Za-z0-9-_]+)\.([A-Za-z]{2,4})([,.]?)/";
  $replace[0] = '<a href="mailto:$1@$2.$3">$1@$2.$3</a>$4';

  // http
  $pattern[1] = "/(?<!\")(http|https|ftp):\/\/([^\s]*)/i";
  $replace[1] = '<a target="_blank" href="$1://$2">$1://$2</a>';

  // www
  $pattern[2] = '/(?<!http:\/\/)(www\.)([^\s]*)/i';
  $replace[2] = "<a href=\"http://www.$2\" target=\"_blank\">www.$2</a> ";

  return preg_replace($pattern, $replace, $str);
}

?> 
